Class | Chef::Certificate
In: | lib/chef/certificate.rb
Parent: | Object

### Methods

gen_keypair gen_validation_key generate_signing_ca

### Public Class methods

gen_keypair(common_name, subject_alternative_name = nil)

Creates a new key pair, and signs them with the signing certificate and key generated from generate_signing_ca above.

@param [String] The common name for the key pair. @param [Optional String] The subject alternative name. @return [Object, Object] The public and private key objects.

gen_validation_key(name=Chef::Config[:validation_client_name], key_file=Chef::Config[:validation_key], admin=false)
generate_signing_ca()

Generates a new CA Certificate and Key, and writes them out to Chef::Config[:signing_ca_cert] and Chef::Config[:signing_ca_key].

[Validate]